## maui-shelf 4.0.0

=== debian/changelog ===
maui-shelf (4.0.0-0zneon+22.04+jammy+release+build4) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 01 Oct 2024 15:16:57 +0000

maui-shelf (4.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 01:02:26 +0000

maui-shelf (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 16:40:07 +0000

shelf (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 16:40:07 +0000

shelf (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Aug 2023 16:40:07 +0000

shelf (3.0.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000
