## maui-shelf 4.0.2

=== debian/changelog ===
maui-shelf (4.0.2-0zneon+24.04+noble+release+build7) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:11:51 +0000

maui-shelf (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 01:02:09 +0000

maui-shelf (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 01:03:11 +0000

maui-shelf (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 01:02:26 +0000

maui-shelf (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 16:40:07 +0000
