=== debian/control ===
Source: maui-shelf
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitdocuments-dev,
               libmauikitfilebrowsing-dev,
               libpoppler-qt6-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-shelf
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-shelf.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-shelf
Maintainer: Neon CI <neon@kde.org>

Package: maui-shelf
Architecture: any
Depends: qml6-module-org-mauikit-documents,
         qml6-module-org-mauikit-filebrowsing,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui Document and EBook collection manager
 Document viewer for various document formats.

Package: shelf
Depends: maui-shelf, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
