## maui-shelf 4.0.2+p24.04+vstable+git20251201.0226

=== debian/changelog ===
maui-shelf (4.0.2+p24.04+vstable+git20251201.0226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:26:07 +0000
