## maui-shelf 4.0.2+p24.04+vstable+git20251231.0355

=== debian/changelog ===
maui-shelf (4.0.2+p24.04+vstable+git20251231.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:55:18 +0000
