## maui-shelf 4.0.2+p24.04+vstable+git20260107.0830

=== debian/changelog ===
maui-shelf (4.0.2+p24.04+vstable+git20260107.0830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:30:25 +0000
