## maui-shelf 4.0.2+p24.04+vstable+git20260130.1003

=== debian/changelog ===
maui-shelf (4.0.2+p24.04+vstable+git20260130.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:03:50 +0000
