## maui-shelf 4.0.2+p24.04+vunstable+git20260205.0817

=== debian/changelog ===
maui-shelf (4.0.2+p24.04+vunstable+git20260205.0817-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:17:11 +0000
